print("register fruit type: sugarbeet");

local sugarbeetHudFile = Utils.getFilename("mods/Platt/script/sugarbeetHud.png", getUserProfileAppPath());
FruitUtil.registerFruitType("sugarbeet", true, true, false, 0.2, 0.6, 0.7, 0.05, 2.3, sugarbeetHudFile);

local origSowingMachineLoad = SowingMachine.load;

SowingMachine.load = function (self, xmlFile)
	if origSowingMachineLoad ~= nil then
		origSowingMachineLoad(self, xmlFile);
	end;

	self.seeds = {};
	local i = 1;
    for k, fruitType in pairs(FruitUtil.fruitTypes) do
        if fruitType.allowsSeeding then
            self.seeds[i] = fruitType.index;
			i = i + 1;
        end;
    end;
end;





